#include <stdio.h>
#include <string.h>
#include "simplecom.h"
#include "dslconf.h"

static struct interface *print_iface = NULL;
int dslconf_print_loglevel = 0;

void dslconf_print_init(struct interface *iface, int loglevel)
{
	print_iface = iface;
	dslconf_print_loglevel = loglevel;
}

void dslconf_print(int severity, const char *message)
{
	if (!print_iface)
		return;
	send_ack_msg(*print_iface, severity, message);
}
